@import "sass-essentials";

fieldset {
  border: 0;
  margin: 0;
  min-width: 0;
  position: relative;
  z-index: 1;
  display: inline-block;
  width: 100%;
  padding: 40px 20px;

  > .legend {
    margin-bottom: 10px;
    font-size: 32px;
    line-height: 32px;
    z-index: 2;
    width: 100%;
    display: inline-block;
  }
  + .fieldset {
    border-top: 1px solid #333;
    padding-top: 3rem;
  }

  // Fieldsets within fieldsets shouldn't receive any theming.
  fieldset {
    padding: 0;
    width: 100%;
    .legend {
      font-size: 21px;
      line-height: 20px;
      color: #4D4D4D;
      display: block; // this is needed for alignment with form elements not wrapped inside their own fieldset
    }
  }

  .fieldset-wrapper {
    position: relative;
    z-index: 2;
  }
}

// For some obscure reason, Drupal always prints form items of type radio as a
// fieldset. The title of this fieldset should be mimicing normal labels of
// form-items.
.form-radios,
.fieldset--radios {
  width: 100%;
  margin-bottom: 25px;
  &:last-child {
    margin-bottom: 0;
  }
}
.fieldset--radios .form-radios {
  margin-bottom: 0;
}

.form-checkboxes,
.fieldset--checkboxes {
  width: 100%;
  margin-bottom: 25px;
}

.fieldset--checkboxes .form-checkboxes {
  margin-bottom: 0;
}
